export const NSFWFlag = {
    NONE: 0 << 0,
    VIOLENT: 1 << 0,
    SHOCKING_DISTURBING: 1 << 1,
    EXPLICIT_SEX: 1 << 2
};
const nsfwFlagsToStringMap = {
    violent: NSFWFlag.VIOLENT,
    shockingOrDisturbing: NSFWFlag.SHOCKING_DISTURBING,
    explicitSex: NSFWFlag.EXPLICIT_SEX
};
const nsfwFlagsStringToEnumMap = {
    [NSFWFlag.VIOLENT]: 'violent',
    [NSFWFlag.SHOCKING_DISTURBING]: 'shockingOrDisturbing',
    [NSFWFlag.EXPLICIT_SEX]: 'explicitSex'
};
export function nsfwFlagToString(nsfwFlag) {
    return nsfwFlagsStringToEnumMap[nsfwFlag];
}
export function nsfwFlagsToString(nsfwFlags) {
    const acc = [];
    for (const [flagString, flag] of Object.entries(nsfwFlagsToStringMap)) {
        if ((nsfwFlags & flag) === flag) {
            acc.push(flagString);
        }
    }
    return acc;
}
export function stringToNSFWFlag(nsfwFlag) {
    return nsfwFlagsToStringMap[nsfwFlag];
}
//# sourceMappingURL=nsfw-flag.enum.js.map